<script setup lang="ts">
import type { Student } from '@/entities';
import { onMounted, ref } from 'vue';
import {api} from '@/fetcher';
import OneStudent from './OneStudent.vue';
import { authStore } from '@/stores/auth';



const auth = authStore();
const students = ref<Student[]>([]);

async function fetchStudents() {
    const response = await api.get('http://localhost:8080/api/student');

    students.value = response.data;
}

onMounted(() => fetchStudents());

</script>

<template>
    <p v-if="auth.user">You're logged in</p>
    <OneStudent v-for="item of students" :key="item.id" :student="item" />
</template>


<style>
</style>